/**
 * PETALS - PETALS Services Platform. Copyright (c) 2007 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.jbi.management.task.deployment.deploy;

import java.io.File;
import java.io.IOException;

import org.ow2.petals.jbi.management.task.AbstractCopyPackageToRepositoryTask;
import org.ow2.petals.system.repository.RepositoryService;
import org.ow2.petals.util.LoggingUtil;

/**
 * This task copy service assembly package into the repository
 * 
 * @author ofabre
 * 
 */
public class CreateSARepositoryTask extends AbstractCopyPackageToRepositoryTask {

    public CreateSARepositoryTask(LoggingUtil log, RepositoryService repositorySrv) {
        super(log, repositorySrv);
    }

    @Override
    protected File copyEntityPackage(String entityName, String entityVersion, File packageFile)
            throws IOException {
        return repositoryService.addServiceAssembly(entityName, packageFile);

    }

    @Override
    protected void removeEntityPackage(String entityName, String entityVersion) throws IOException {
        repositoryService.removeServiceAssembly(entityName);
    }
}
