/**
 * PETALS - PETALS Services Platform. Copyright (c) 2009 EBM Websourcing,
 * http://www.ebmwebsourcing.com/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 */
package org.ow2.petals.jbi.messaging.routing.module;

import org.ow2.petals.jbi.component.context.ComponentContext;
import org.ow2.petals.jbi.messaging.routing.RoutingException;

/**
 * @author rnaudin
 * 
 */
public interface InstallModule {

    /**
     * Add a component to the NMR.
     * 
     * @param componentContextImpl
     *            the component context of the new component
     */
    void addComponent(ComponentContext componentContext) throws RoutingException;

    /**
     * Remove a component to the NMR.
     * 
     * @param componentContextImpl
     *            the component context of the new component
     */
    void removeComponent(ComponentContext componentContext) throws RoutingException;
}
