/**
 * PETALS - PETALS Services Platform. Copyright (c) 2009 OW2,
 * http://www.ow2.org/
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version. This library is distributed in the hope that it will be
 * useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser
 * General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * -------------------------------------------------------------------------
 * $Id: $
 * -------------------------------------------------------------------------
 */
package org.ow2.petals.transport.platform.nio.selector;

import java.nio.channels.ClosedChannelException;
import java.nio.channels.spi.AbstractSelectableChannel;

/**
 * Interface of the Fractal component associated to the NIO selector.
 * 
 * @author Christophe DENEUX (Capgemini Sud)
 *
 */
public interface NioSelector {

    /**
     * Name of the interface of the NIO selector.
     */
    public static final String NIO_SELECTOR_ITF = "selector";

    public void register(final int key, final AbstractSelectableChannel channel,
            final Object attachement) throws ClosedChannelException;
}
